Bug 830393 - seems it occurs when work Google Chrome and system block screen after some time idle
seems it occurs when work Google Chrome and system block screen after some ti...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 02:36 EDT by Mikhail
Modified: 2013-08-01 09:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:34:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-06-09 02:36:14 EDT
Again and again occurs, seems it occurs when work Google Chrome and system block screen after some time idle. 

[New LWP 854]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/bin/Xorg :0 -background none -logverbose 7 -auth /var/run/gdm/auth-for-gdm'.
Program terminated with signal 6, Aborted.
#0  0xb7792424 in __kernel_vsyscall ()

Thread 1 (Thread 0xb7779800 (LWP 854)):
#0  0xb7792424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4716095f in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <optimized out>
        resultvar = <optimized out>
        pid = 1194180596
        selftid = 854
#2  0x471622b3 in __GI_abort () at abort.c:91
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0xbfdda0f0, sa_sigaction = 0xbfdda0f0}, sa_mask = {__val = {136500800, 0, 439951360, 0 <repeats 29 times>}}, sa_flags = 0, sa_restorer = 0}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x080b3c9a in OsAbort () at utils.c:1207
No locals.
#4  0x080cbe47 in ddxGiveUp (error=error@entry=EXIT_ERR_ABORT) at xf86Init.c:1008
        i = <optimized out>
#5  0x080cbef3 in AbortDDX (error=error@entry=EXIT_ERR_ABORT) at xf86Init.c:1052
        i = <optimized out>
#6  0x080afe52 in AbortServer () at log.c:476
No locals.
#7  0x080aff76 in FatalError (f=f@entry=0x81cec04 "Caught signal %d (%s). Server aborting\n") at log.c:611
        args = 0xbfdda224 "\v"
        beenhere = 1
#8  0x080b11ba in OsSigHandler (sip=0xbfdda24c, signo=11, unused=<optimized out>) at osinit.c:146
No locals.
#9  OsSigHandler (signo=11, sip=0xbfdda24c, unused=0xbfdda2cc) at osinit.c:107
No locals.
#10 <signal handler called>
No symbol table info available.
#11 0x080ae376 in AttendClient (client=0x9e50c10) at connection.c:1186
        oc = 0x6f726863
        connection = <optimized out>
#12 0xb767059a in DRI2WakeClient (tv_usec=<optimized out>, tv_sec=<optimized out>, frame=<optimized out>, pDraw=<optimized out>, client=0x9eb3650) at dri2.c:772
        pScreen = 0x9b55ab0
        pPriv = 0x9ed46d8
#13 DRI2SwapComplete (client=0x9eb3650, pDraw=0x9ebbfa0, frame=frame@entry=54809, tv_sec=tv_sec@entry=1339214066, tv_usec=tv_usec@entry=407133, type=2, swap_complete=0xb7671510 <DRI2SwapEvent>, swap_data=0x9ebbfa0) at dri2.c:814
        pScreen = <optimized out>
        pPriv = <optimized out>
        ust = 1339214066407133
        box = {x1 = 0, y1 = 0, x2 = <optimized out>, y2 = <optimized out>}
        region = {extents = {x1 = 0, y1 = 0, x2 = 288, y2 = 600}, data = 0x0}
        __func__ = "DRI2SwapComplete"
#14 0xb7634084 in radeon_dri2_frame_event_handler (frame=frame@entry=54809, tv_sec=tv_sec@entry=1339214066, tv_usec=tv_usec@entry=407133, event_data=event_data@entry=0x9d981a0) at radeon_dri2.c:839
        event = 0x9d981a0
        drawable = 0x9ebbfa0
        screen = <optimized out>
        scrn = <optimized out>
        status = <optimized out>
        swap_type = <optimized out>
        box = <optimized out>
        region = {extents = {x1 = 0, y1 = 0, x2 = 288, y2 = 600}, data = 0x0}
        __func__ = "radeon_dri2_frame_event_handler"
#15 0xb7638164 in drmmode_vblank_handler (fd=fd@entry=8, frame=54809, tv_sec=1339214066, tv_usec=407133, event_data=0x9d981a0) at drmmode_display.c:1483
No locals.
#16 0x45885e50 in drmHandleEvent (fd=8, evctx=evctx@entry=0x9b504ec) at xf86drmMode.c:797
        buffer = "\001\000\000\000 \000\000\000`\314\331\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000\310M\352\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000\030\237\344\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000\300\v\345\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000\220X\353\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000\320\366\331\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000hG\352\t\000\000\000\000\362\310\322O]6\006\000\031\326\000\000\000\000\000\000\001\000\000\000 \000\000\000\240\201\331\t\000\000\000\000\362\310\322O]6\006\000"...
        len = <optimized out>
        i = <optimized out>
        e = 0xbfdda80c
        vblank = 0xbfdda80c
#17 0xb76376af in drm_wakeup_handler (data=0x9b504c8, err=1, p=0x8235ca0) at drmmode_display.c:1529
        drmmode = 0x9b504c8
        read_mask = 0x8235ca0
#18 0x0807b64e in WakeupHandler (result=result@entry=1, pReadmask=pReadmask@entry=0x8235ca0) at dixutils.c:421
        i = 0
        j = <optimized out>
#19 0x080a953b in WaitForSomething (pClientsReady=pClientsReady@entry=0x9cb2a98) at WaitFor.c:224
        i = 1
        waittime = {tv_sec = 0, tv_usec = 9065}
        wt = 0xbfddabe8
        timeout = <optimized out>
        clientsReadable = {fds_bits = {0 <repeats 32 times>}}
        clientsWritable = {fds_bits = {8, -1073191830, -1075991336, 0, 166202204, 0, 1166543545, 1166581748, 164244480, 162861136, 227710, 1166554637, 8, -1073191830, -1075991336, -1219183847, 8, 1166554582, -1219149836, -1219185079, 8, 42, -1075991336, 8, 165937032, 1, -1075991144, 1193391890, 166204200, -1219185146, -1218052108, 136462324}}
        selecterr = 0
        nready = 0
        devicesReadable = {fds_bits = {-1075991144, 1, 165937032, 134972147, 36, -1075991144, 1, -1075991144, 1, 0, 0, 162880992, 162882416, 2101760, 0, 136462324, 32, 0, 0, 134980960, 165937032, -1075991144, 1, -1219178909, 162881808, 1194258787, 1194269637, 134935168, 165937032, -1075991144, 1, -1218229675}}
        now = <optimized out>
        someReady = <optimized out>
#20 0x08077101 in Dispatch () at dispatch.c:357
        clientReady = 0x9cb2a98
        result = <optimized out>
        client = <optimized out>
        nready = <optimized out>
        icheck = 0x8235668
        start_tick = <optimized out>
#21 0x08064ce5 in main (argc=13, argv=0xbfddaf64, envp=0xbfddaf9c) at main.c:288
        i = <optimized out>
        alwaysCheckForInput = {0, 1}
From        To          Syms Read   Shared Object Library
0x4fa61410  0x4fa69dd4  Yes         /lib/libudev.so.0
0x45638f80  0x45722544  Yes         /lib/libcrypto.so.10
0x472fead0  0x472ffaec  Yes         /lib/libdl.so.2
0x47356980  0x4735bf04  Yes         /lib/libpciaccess.so.0
0x472e66a0  0x472f1e60  Yes         /lib/libpthread.so.0
0x47cf5650  0x47d78414  Yes         /lib/libpixman-1.so.0
0x47386d90  0x473a7bf4  Yes         /lib/libXfont.so.1
0x476b7a60  0x476b892c  Yes         /lib/libXau.so.6
0x47929ea0  0x4792bb84  Yes         /lib/libXdmcp.so.6
0x48adad60  0x48ae0994  Yes         /lib/libaudit.so.1
0x47314470  0x4732e678  Yes         /lib/libm.so.6
0x47306920  0x4730a45c  Yes         /lib/librt.so.1
0x47148f20  0x4728614c  Yes         /lib/libc.so.6
0x4733e6e0  0x4734b9cc  Yes         /lib/libz.so.1
0x4710f850  0x47127ec7  Yes         /lib/ld-linux.so.2
0x4788e610  0x478fd674  Yes         /lib/libfreetype.so.6
0x47379d70  0x4737be34  Yes         /lib/libfontenc.so.1
0x4c808020  0x4c81eb54  Yes         /lib/libgcc_s.so.1
0xb7722b80  0xb7737e24  Yes         /usr/lib/xorg/modules/extensions/libextmod.so
0xb76ed8e0  0xb76ffd94  Yes         /lib/libselinux.so.1
0xb7718c10  0xb771b74c  Yes         /usr/lib/xorg/modules/extensions/libdbe.so
0xb7679490  0xb76c4794  Yes         /usr/lib/xorg/modules/extensions/libglx.so
0xb7787df0  0xb778c644  Yes         /usr/lib/xorg/modules/extensions/librecord.so
0xb770e290  0xb7713fd4  Yes         /usr/lib/xorg/modules/extensions/libdri.so
0x458805a0  0x45886354  Yes         /lib/libdrm.so.2
0xb766efe0  0xb76720dc  Yes         /usr/lib/xorg/modules/extensions/libdri2.so
0xb7784690  0xb7784bec  Yes         /usr/lib/xorg/modules/drivers/ati_drv.so
0xb7572890  0xb763b8f4  Yes         /usr/lib/xorg/modules/drivers/radeon_drv.so
0xb754b4a0  0xb7550c6c  Yes         /lib/libdrm_radeon.so.1
0xb7561790  0xb75647f8  Yes         /usr/lib/xorg/modules/drivers/vesa_drv.so
0xb755b780  0xb755d37c  Yes         /usr/lib/xorg/modules/drivers/fbdev_drv.so
0xb7544ff0  0xb7546ec4  Yes         /usr/lib/xorg/modules/libfbdevhw.so
0xb752d840  0xb753e790  Yes         /usr/lib/xorg/modules/libexa.so
0xb750ba30  0xb75260a8  Yes         /usr/lib/xorg/modules/libfb.so
0xb6e91dc0  0xb716a5b4  Yes         /usr/lib/dri/r600_dri.so
0x474d8090  0x474db794  Yes         /lib/libffi.so.5
0x47a7c1b0  0x47a95434  Yes         /lib/libexpat.so.1
0xb5c3e580  0xb6961124  Yes         /usr/lib/llvm/libLLVM-3.0.so
0x4c86e5c0  0x4c8e08a4  Yes         /lib/libstdc++.so.6
0xb6e6adc0  0xb6e72704  Yes         /usr/lib/xorg/modules/input/evdev_drv.so
0xb5968b90  0xb596b4ac  Yes         /lib/libmtdev.so.1
0xb5971990  0xb597d824  Yes         /usr/lib/xorg/modules/input/synaptics_drv.so
0xb594be70  0xb5951de4  Yes         /lib/libnss_compat.so.2
0x48733190  0x48741b84  Yes         /lib/libnsl.so.1
0xb59409a0  0xb59471b0  Yes         /lib/libnss_nis.so.2
0xb5933a40  0xb593ae7c  Yes         /lib/libnss_files.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
eax            0x0	0
ecx            0x356	854
edx            0x6	6
ebx            0x356	854
esp            0xbfdda034	0xbfdda034
ebp            0x822dc38	0x822dc38
esi            0x1	1
edi            0x472dbff4	1194180596
eip            0xb7792424	0xb7792424 <__kernel_vsyscall+16>
eflags         0x203206	[ PF IF #12 #13 ID ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function __kernel_vsyscall:
   0xb7792414 <+0>:	push   %ecx
   0xb7792415 <+1>:	push   %edx
   0xb7792416 <+2>:	push   %ebp
   0xb7792417 <+3>:	mov    %esp,%ebp
   0xb7792419 <+5>:	sysenter 
   0xb779241b <+7>:	nop
   0xb779241c <+8>:	nop
   0xb779241d <+9>:	nop
   0xb779241e <+10>:	nop
   0xb779241f <+11>:	nop
   0xb7792420 <+12>:	nop
   0xb7792421 <+13>:	nop
   0xb7792422 <+14>:	int    $0x80
=> 0xb7792424 <+16>:	pop    %ebp
   0xb7792425 <+17>:	pop    %edx
   0xb7792426 <+18>:	pop    %ecx
   0xb7792427 <+19>:	ret    
End of assembler dump.
Comment 1 Fedora End Of Life 2013-07-04 00:26:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:34:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.